define("ace/mode/xml_highlight_rules",["require","exports","module","ace/lib/oop","ace/mode/text_highlight_rules"],function(e,t){"use strict";var n=e("../lib/oop"),r=e("./text_highlight_rules").TextHighlightRules,o=function(){var e="[_:a-zA-Z\xc0-\uffff][-_:.a-zA-Z0-9\xc0-\uffff]*";this.$rules={start:[{token:"string.cdata.xml",regex:"<\\!\\[CDATA\\[",next:"cdata"},{token:["punctuation.instruction.xml","keyword.instruction.xml"],regex:"(<\\?)("+e+")",next:"processing_instruction"},{token:"comment.start.xml",regex:"<\\!--",next:"comment"},{token:["xml-pe.doctype.xml","xml-pe.doctype.xml"],regex:"(<\\!)(DOCTYPE)(?=[\\s])",next:"doctype",caseInsensitive:!0},{include:"tag"},{token:"text.end-tag-open.xml",regex:"</"},{token:"text.tag-open.xml",regex:"<"},{include:"reference"},{defaultToken:"text.xml"}],processing_instruction:[{token:"entity.other.attribute-name.decl-attribute-name.xml",regex:e},{token:"keyword.operator.decl-attribute-equals.xml",regex:"="},{include:"whitespace"},{include:"string"},{token:"punctuation.xml-decl.xml",regex:"\\?>",next:"start"}],doctype:[{include:"whitespace"},{include:"string"},{token:"xml-pe.doctype.xml",regex:">",next:"start"},{token:"xml-pe.xml",regex:"[-_a-zA-Z0-9:]+"},{token:"punctuation.int-subset",regex:"\\[",push:"int_subset"}],int_subset:[{token:"text.xml",regex:"\\s+"},{token:"punctuation.int-subset.xml",regex:"]",next:"pop"},{token:["punctuation.markup-decl.xml","keyword.markup-decl.xml"],regex:"(<\\!)("+e+")",push:[{token:"text",regex:"\\s+"},{token:"punctuation.markup-decl.xml",regex:">",next:"pop"},{include:"string"}]}],cdata:[{token:"string.cdata.xml",regex:"\\]\\]>",next:"start"},{token:"text.xml",regex:"\\s+"},{token:"text.xml",regex:"(?:[^\\]]|\\](?!\\]>))+"}],comment:[{token:"comment.end.xml",regex:"-->",next:"start"},{defaultToken:"comment.xml"}],reference:[{token:"constant.language.escape.reference.xml",regex:"(?:&#[0-9]+;)|(?:&#x[0-9a-fA-F]+;)|(?:&[a-zA-Z0-9_:\\.-]+;)"}],attr_reference:[{token:"constant.language.escape.reference.attribute-value.xml",regex:"(?:&#[0-9]+;)|(?:&#x[0-9a-fA-F]+;)|(?:&[a-zA-Z0-9_:\\.-]+;)"}],tag:[{token:["meta.tag.punctuation.tag-open.xml","meta.tag.punctuation.end-tag-open.xml","meta.tag.tag-name.xml"],regex:"(?:(<)|(</))((?:"+e+":)?"+e+")",next:[{include:"attributes"},{token:"meta.tag.punctuation.tag-close.xml",regex:"/?>",next:"start"}]}],tag_whitespace:[{token:"text.tag-whitespace.xml",regex:"\\s+"}],whitespace:[{token:"text.whitespace.xml",regex:"\\s+"}],string:[{token:"string.xml",regex:"'",push:[{token:"string.xml",regex:"'",next:"pop"},{defaultToken:"string.xml"}]},{token:"string.xml",regex:'"',push:[{token:"string.xml",regex:'"',next:"pop"},{defaultToken:"string.xml"}]}],attributes:[{token:"entity.other.attribute-name.xml",regex:e},{token:"keyword.operator.attribute-equals.xml",regex:"="},{include:"tag_whitespace"},{include:"attribute_value"}],attribute_value:[{token:"string.attribute-value.xml",regex:"'",push:[{token:"string.attribute-value.xml",regex:"'",next:"pop"},{include:"attr_reference"},{defaultToken:"string.attribute-value.xml"}]},{token:"string.attribute-value.xml",regex:'"',push:[{token:"string.attribute-value.xml",regex:'"',next:"pop"},{include:"attr_reference"},{defaultToken:"string.attribute-value.xml"}]}]},this.constructor===o&&this.normalizeRules()};(function(){this.embedTagRules=function(e,t,n){this.$rules.tag.unshift({token:["meta.tag.punctuation.tag-open.xml","meta.tag."+n+".tag-name.xml"],regex:"(<)("+n+"(?=\\s|>|$))",next:[{include:"attributes"},{token:"meta.tag.punctuation.tag-close.xml",regex:"/?>",next:t+"start"}]}),this.$rules[n+"-end"]=[{include:"attributes"},{token:"meta.tag.punctuation.tag-close.xml",regex:"/?>",next:"start",onMatch:function(e,t,n){return n.splice(0),this.token}}],this.embedRules(e,t,[{token:["meta.tag.punctuation.end-tag-open.xml","meta.tag."+n+".tag-name.xml"],regex:"(</)("+n+"(?=\\s|>|$))",next:n+"-end"},{token:"string.cdata.xml",regex:"<\\!\\[CDATA\\["},{token:"string.cdata.xml",regex:"\\]\\]>"}])}}).call(r.prototype),n.inherits(o,r),t.XmlHighlightRules=o}),define("ace/mode/behaviour/xml",["require","exports","module","ace/lib/oop","ace/mode/behaviour","ace/token_iterator","ace/lib/lang"],function(e,t){"use strict";function d(e,t){return e&&-1<e.type.lastIndexOf(t+".xml")}var n=e("../../lib/oop"),r=e("../behaviour").Behaviour,x=e("../../token_iterator").TokenIterator,o=(e("../../lib/lang"),function(){this.add("string_dquotes","insertion",function(e,t,n,r,o){if('"'==o||"'"==o){var a=o,i=r.doc.getTextRange(n.getSelectionRange());if(""!==i&&"'"!==i&&'"'!=i&&n.getWrapBehavioursEnabled())return{text:a+i+a,selection:!1};var l=n.getCursorPosition(),u=r.doc.getLine(l.row).substring(l.column,l.column+1),s=new x(r,l.row,l.column),g=s.getCurrentToken();if(u==a&&(d(g,"attribute-value")||d(g,"string")))return{text:"",selection:[1,1]};if(g||(g=s.stepBackward()),!g)return;for(;d(g,"tag-whitespace")||d(g,"whitespace");)g=s.stepBackward();var c=!u||u.match(/\s/);if(d(g,"attribute-equals")&&(c||">"==u)||d(g,"decl-attribute-equals")&&(c||"?"==u))return{text:a+a,selection:[1,1]}}}),this.add("string_dquotes","deletion",function(e,t,n,r,o){var a=r.doc.getTextRange(o);if(!o.isMultiLine()&&('"'==a||"'"==a)&&r.doc.getLine(o.start.row).substring(o.start.column+1,o.start.column+2)==a)return o.end.column++,o}),this.add("autoclosing","insertion",function(e,t,n,r,o){if(">"==o){var a=n.getSelectionRange().start,i=new x(r,a.row,a.column),l=i.getCurrentToken()||i.stepBackward();if(!l||!(d(l,"tag-name")||d(l,"tag-whitespace")||d(l,"attribute-name")||d(l,"attribute-equals")||d(l,"attribute-value")))return;if(d(l,"reference.attribute-value"))return;if(d(l,"attribute-value")){var u=i.getCurrentTokenColumn()+l.value.length;if(a.column<u)return;if(a.column==u){var s=i.stepForward();if(s&&d(s,"attribute-value"))return;i.stepBackward()}}if(/^\s*>/.test(r.getLine(a.row).slice(a.column)))return;for(;!d(l,"tag-name");)if("<"==(l=i.stepBackward()).value){l=i.stepForward();break}var g=i.getCurrentTokenRow(),c=i.getCurrentTokenColumn();if(d(i.stepBackward(),"end-tag-open"))return;var m=l.value;if(g==a.row&&(m=m.substring(0,a.column-c)),this.voidElements.hasOwnProperty(m.toLowerCase()))return;return{text:"></"+m+">",selection:[1,1]}}}),this.add("autoindent","insertion",function(e,t,n,r,o){if("\n"==o){var a=n.getCursorPosition(),i=r.getLine(a.row),l=new x(r,a.row,a.column),u=l.getCurrentToken();if(u&&-1!==u.type.indexOf("tag-close")){if("/>"==u.value)return;for(;u&&-1===u.type.indexOf("tag-name");)u=l.stepBackward();if(!u)return;var s=u.value,g=l.getCurrentTokenRow();if(!(u=l.stepBackward())||-1!==u.type.indexOf("end-tag"))return;if(this.voidElements&&!this.voidElements[s]){var c=r.getTokenAt(a.row,a.column+1),m=(i=r.getLine(g),this.$getIndent(i)),d=m+r.getTabString();return c&&"</"===c.value?{text:"\n"+d+"\n"+m,selection:[1,d.length,1,d.length]}:{text:"\n"+d}}}}})});n.inherits(o,r),t.XmlBehaviour=o}),define("ace/mode/folding/xml",["require","exports","module","ace/lib/oop","ace/lib/lang","ace/range","ace/mode/folding/fold_mode","ace/token_iterator"],function(e,t){"use strict";function u(e,t){return-1<e.type.lastIndexOf(t+".xml")}var n=e("../../lib/oop"),s=(e("../../lib/lang"),e("../../range").Range),r=e("./fold_mode").FoldMode,g=e("../../token_iterator").TokenIterator,o=t.FoldMode=function(e,t){r.call(this),this.voidElements=e||{},this.optionalEndTags=n.mixin({},this.voidElements),t&&n.mixin(this.optionalEndTags,t)};n.inherits(o,r);var i=function(){this.tagName="",this.closing=!1,this.selfClosing=!1,this.start={row:0,column:0},this.end={row:0,column:0}};(function(){this.getFoldWidget=function(e,t,n){var r=this._getFirstTagInLine(e,n);return r?r.closing||!r.tagName&&r.selfClosing?"markbeginend"==t?"end":"":!r.tagName||r.selfClosing||this.voidElements.hasOwnProperty(r.tagName.toLowerCase())?"":this._findEndTagInLine(e,n,r.tagName,r.end.column)?"":"start":this.getCommentFoldWidget(e,n)},this.getCommentFoldWidget=function(e,t){return/comment/.test(e.getState(t))&&/<!-/.test(e.getLine(t))?"start":""},this._getFirstTagInLine=function(e,t){for(var n=e.getTokens(t),r=new i,o=0;o<n.length;o++){var a=n[o];if(u(a,"tag-open")){if(r.end.column=r.start.column+a.value.length,r.closing=u(a,"end-tag-open"),!(a=n[++o]))return null;for(r.tagName=a.value,r.end.column+=a.value.length,o++;o<n.length;o++)if(a=n[o],r.end.column+=a.value.length,u(a,"tag-close")){r.selfClosing="/>"==a.value;break}return r}if(u(a,"tag-close"))return r.selfClosing="/>"==a.value,r;r.start.column+=a.value.length}return null},this._findEndTagInLine=function(e,t,n,r){for(var o=e.getTokens(t),a=0,i=0;i<o.length;i++){var l=o[i];if(!((a+=l.value.length)<r)&&u(l,"end-tag-open")&&(l=o[i+1])&&l.value==n)return!0}return!1},this._readTagForward=function(e){var t=e.getCurrentToken();if(!t)return null;var n=new i;do{if(u(t,"tag-open"))n.closing=u(t,"end-tag-open"),n.start.row=e.getCurrentTokenRow(),n.start.column=e.getCurrentTokenColumn();else if(u(t,"tag-name"))n.tagName=t.value;else if(u(t,"tag-close"))return n.selfClosing="/>"==t.value,n.end.row=e.getCurrentTokenRow(),n.end.column=e.getCurrentTokenColumn()+t.value.length,e.stepForward(),n}while(t=e.stepForward());return null},this._readTagBackward=function(e){var t=e.getCurrentToken();if(!t)return null;var n=new i;do{if(u(t,"tag-open"))return n.closing=u(t,"end-tag-open"),n.start.row=e.getCurrentTokenRow(),n.start.column=e.getCurrentTokenColumn(),e.stepBackward(),n;u(t,"tag-name")?n.tagName=t.value:u(t,"tag-close")&&(n.selfClosing="/>"==t.value,n.end.row=e.getCurrentTokenRow(),n.end.column=e.getCurrentTokenColumn()+t.value.length)}while(t=e.stepBackward());return null},this._pop=function(e,t){for(;e.length;){var n=e[e.length-1];if(t&&n.tagName!=t.tagName){if(this.optionalEndTags.hasOwnProperty(n.tagName)){e.pop();continue}return null}return e.pop()}},this.getFoldWidgetRange=function(e,t,n){var r=this._getFirstTagInLine(e,n);if(!r)return this.getCommentFoldWidget(e,n)&&e.getCommentFoldRange(n,e.getLine(n).length);var o,a=[];if(r.closing||r.selfClosing){l=new g(e,n,r.end.column);for(var i={row:n,column:r.start.column};o=this._readTagBackward(l);){if(o.selfClosing){if(a.length)continue;return o.start.column+=o.tagName.length+2,o.end.column-=2,s.fromPoints(o.start,o.end)}if(o.closing)a.push(o);else if(this._pop(a,o),0==a.length)return o.start.column+=o.tagName.length+2,o.start.row==o.end.row&&o.start.column<o.end.column&&(o.start.column=o.end.column),s.fromPoints(o.start,i)}}else{var l=new g(e,n,r.start.column),u={row:n,column:r.start.column+r.tagName.length+2};for(r.start.row==r.end.row&&(u.column=r.end.column);o=this._readTagForward(l);){if(o.selfClosing){if(a.length)continue;return o.start.column+=o.tagName.length+2,o.end.column-=2,s.fromPoints(o.start,o.end)}if(o.closing){if(this._pop(a,o),0==a.length)return s.fromPoints(u,o.start)}else a.push(o)}}}}).call(o.prototype)}),define("ace/mode/xml",["require","exports","module","ace/lib/oop","ace/lib/lang","ace/mode/text","ace/mode/xml_highlight_rules","ace/mode/behaviour/xml","ace/mode/folding/xml","ace/worker/worker_client"],function(e,t){"use strict";var n=e("../lib/oop"),r=e("../lib/lang"),o=e("./text").Mode,a=e("./xml_highlight_rules").XmlHighlightRules,i=e("./behaviour/xml").XmlBehaviour,l=e("./folding/xml").FoldMode,u=e("../worker/worker_client").WorkerClient,s=function(){this.HighlightRules=a,this.$behaviour=new i,this.foldingRules=new l};n.inherits(s,o),function(){this.voidElements=r.arrayToMap([]),this.blockComment={start:"<!--",end:"-->"},this.createWorker=function(t){var e=new u(["ace"],"ace/mode/xml_worker","Worker");return e.attachToDocument(t.getDocument()),e.on("error",function(e){t.setAnnotations(e.data)}),e.on("terminate",function(){t.clearAnnotations()}),e},this.$id="ace/mode/xml"}.call(s.prototype),t.Mode=s}),window.require(["ace/mode/xml"],function(e){"object"==typeof module&&"object"==typeof exports&&module&&(module.exports=e)});